tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luca Zancan <l.zan...@logicaonline.com>
Subject Re: Problems compiling mod_jk - SOLVED
Date Mon, 01 Jul 2002 09:37:56 GMT
Hello everybody,

I finally discovered (thank you very much again, Martin van den Bemt) how to compile the
"ik" connector.

I have changed directory into the location for which webserver mod_jk is meant
(/usr/local/src/jakarta-tomcat-connectors-4.0.2-01-src/jk/native/apache-1.3 in my case)
and execute the (manually adjusted) appropiate shell file (build-unix.sh).
(adding DEAPI to the CFLAGS variable).
I've launched the shell script and all has went smooth (it compiles right and installs
mod_jk.so in /usr/local/apache/libexec)

I can't understand why these pieces of information are not available on the web... even in
Jakarta home is impossible to find a clear installation procedure and the various READMEs
contained in the source code do not tell everything is needed...

bye
Luca

Luca Zancan wrote:

> Hello everybody,
>
> I've downloaded "jakarta-tomcat-connectors-4.0.2-01.src.tar.gz" and I've
> launched "ant" and "ant install" without problems (they created a
> "build" directory in the "jk" subdir)
> Then I've changed to the "native" subdir to launch the command
> ./configure --with-apxs=/usr/local/apache/bin/apxs --enable-EAPI
> (I'm using Apache 1.3.24, Tomcat 4.0.3 and Ant 1.4.1 on a RedHat 7.2,
> kernel 2.4.7-10)
> I have no "configure" and then (following the directions in
> REAME.configure) I've tried with "autoconf".
> "autoconf" creates a "configure" file but gives me a couple of errors:
> ____________________________________
> autoconf: Undefined macros:
> configure.in:18:AC_LIBTOOL_DLOPEN
> configure.in:26:AC_PROG_LD
> ____________________________________
>
> (I'm using "autoconf 2.13-14" and "libtool 1.4-8")
>
> I've tried to launch "./configure --with-apxs.....", but it gives me:
> ________________________________
> loading cache ./config.cache
> configure: error: can not find install-sh or install.sh in
> scripts/build/unix ./scripts/build/unix
> ________________________________
>
> Any ideas???
> I've tried also with "jakarta-tomcat-connectors-4.0.4-b3-src.tar.gz",
> but I obtain immediately this error when I launch "ant"
> ______________________
> guess_catalina40:
>
> guess_catalina41:
>
> cpath:
>
> prepare:
>      [copy] Could not find file
> /usr/local/src/jakarta-tomcat-connectors-4.0.4-b3-src/coyote/build/lib/tomcat-coyote.jar
> to copy.
>
> BUILD FAILED
>
> /usr/local/src/jakarta-tomcat-connectors-4.0.4-b3-src/jk/build.xml:100:
> Could not find file
> /usr/local/src/jakarta-tomcat-connectors-4.0.4-b3-src/coyote/build/lib/tomcat-coyote.jar
> to copy.
> _______________________
>
> I need a version of mod_jk with EAPI enabled and I have not been able to
> find a compiled one...
>
> Any help would be greatly appreciated.
>
> bye
> Luca
> __________________________________________________
>
> Luca Zancan
> Logica S.r.l.
> e-mail l.zancan@logicaonline.com
> URL http://www.logicaonline.com
> __________________________________________________
>
> --
> To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
> For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>

--
__________________________________________________

Luca Zancan
Logica S.r.l.
e-mail l.zancan@logicaonline.com
URL http://www.logicaonline.com
__________________________________________________



--
To unsubscribe, e-mail:   <mailto:tomcat-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:tomcat-user-help@jakarta.apache.org>


Mime
View raw message